globalAudio = {}

local audioWindow = nil

function init()
  g_ui.importStyle('audio.otui')
  audioWindow = g_ui.createWidget('AudioWindow', rootWidget)
  audioWindow:hide()

  if not g_app.isMobile() then
    audioButton = modules.client_topmenu.addLeftGameButton('audioButton', tr('Audio Global'), '/images/topbuttons/audio', globalAudio.toggleGlobalAudioPanel, false, 8)
  end
end

function terminate()
  if audioButton then
    audioButton:destroy()
  end
  if audioWindow then
    audioWindow:destroy()
  end
end

function globalAudio.toggleGlobalAudioPanel()
  if audioWindow:isVisible() then
    audioWindow:hide()
  else
    audioWindow:show()
    audioWindow:raise()
    audioWindow:focus()
  end
end

function globalAudio.toggleMicrophone(widget)
  if widget:isChecked() then
    print("Microphone enabled")
    -- Adicione aqui a lógica para capturar áudio
  else
    print("Microphone disabled")
    -- Adicione aqui a lógica para parar de capturar áudio
  end
end

function globalAudio.toggleAudio(widget)
  if widget:isChecked() then
    print("Audio playback enabled")
    -- Adicione aqui a lógica para habilitar a reprodução de áudio
  else
    print("Audio playback disabled")
    -- Adicione aqui a lógica para desabilitar a reprodução de áudio
  end
end
